import { Injectable } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
import { DefaultParams } from '../../domain/types/default-params.type';
import { IProvideParams } from '../../domain/interfaces/param-provider.interface';

@Injectable()
export class DefaultParamsProvider implements IProvideParams {
  constructor(private readonly configService: ConfigService) {}
  //TODO adding config service
  getParams = (): DefaultParams => {
    return {
      MON_MARGIN: 900,
      TUE_MARGIN: 900,
      WED_MARGIN: 900,
      THU_MARGIN: 900,
      FRI_MARGIN: 900,
      SAT_MARGIN: 900,
      SUN_MARGIN: 900,
      DRIVER: false,
      DRIVER_SEAT: 0,
      PASSENGER: true,
      PASSENGER_SEATS: 1,
      STRICT: false,
    };
  };
}
